%define upstream_name	 Term-ReadLine-Gnu
%define upstream_version 1.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension for the GNU Readline/History Library 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: ncurses-devel >= 5.2
BuildRequires: perl-devel
BuildRequires: readline-devel >= 4.2
Obsoletes:  perl-Term-Readline-Gnu

%{?perl_default_filter}

%description
This is an implementation of the interface to the GNU Readline
Library. This module gives you input line editing facility, input
history management facility, word completion facility, etc. It
uses the real GNU Readline Library. And this module has the
interface with the almost all variables and functions which are
documented in the GNU Readline/History Library. So you can program
your custom editing function, your custom completion function, and
so on with Perl. This may be useful for prototyping before
programming with C.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 README

# Fix bogus dependency on /usr/local/bin/perl:
perl -pi -e 's!/usr/local/bin/perl!/usr/bin/perl!g' Gnu/{euc_jp,XS}.pm

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make "CFLAGS=%{optflags}"

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README eg
%{perl_vendorarch}/Term
%{perl_vendorarch}/auto/Term
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.310.0-3pclos2017
- rebuild against updates

